Package org.eclipse.rdf4j.queryrender.builder

## Interface QueryBuilder<T extends ParsedQuery>

- All Superinterfaces:
    `SupportsGroups`
  All Known Implementing Classes:
    `AbstractQueryBuilder`

      @Deprecated
      public interface QueryBuilder<T extends ParsedQuery>
      extends SupportsGroups

  Deprecated.
  use `SparqlBuilder` instead.

  Interface for a QueryBuilder which provides a simple fluent API for constructing Sesame query object programmatically.

  Author:
    Michael Grove

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `QueryBuilder<T>` | `addProjectionStatement​(String theSubj, String thePred, String theObj)` | Deprecated.
    `QueryBuilder<T>` | `addProjectionStatement​(String theSubj, String thePred, Value theObj)` | Deprecated.
    `QueryBuilder<T>` | `addProjectionStatement​(String theSubj, IRI thePred, String theObj)` | Deprecated.
    `QueryBuilder<T>` | `addProjectionStatement​(String theSubj, IRI thePred, Value theObj)` | Deprecated.
    `QueryBuilder<T>` | `addProjectionStatement​(IRI theSubj, String thePred, String theObj)` | Deprecated.
    `QueryBuilder<T>` | `addProjectionStatement​(IRI theSubj, IRI thePred, String theObj)` | Deprecated.
    `QueryBuilder<T>` | `addProjectionVar​(String... theNames)` | Deprecated. Add projection variables to the query
    `QueryBuilder<T>` | `distinct()` | Deprecated. Specify that this query should use the "distinct" keyword
    `QueryBuilder<T>` | `from​(IRI theURI)` | Deprecated. Add a from clause to this query
    `QueryBuilder<T>` | `fromNamed​(IRI theURI)` | Deprecated. Add a 'from named' clause to this query
    `GroupBuilder<T,​QueryBuilder<T>>` | `group()` | Deprecated. Create a new sub-group of the query
    `QueryBuilder<T>` | `limit​(int theLimit)` | Deprecated. Specify a limit for the query
    `QueryBuilder<T>` | `offset​(int theOffset)` | Deprecated. Specify an offset for the query
    `GroupBuilder<T,​QueryBuilder<T>>` | `optional()` | Deprecated. Create an option sub-group
    `QueryBuilder<T>` | `orderBy​(String... theNames)` | Deprecated. Specify ORDER BY clause with ASC modifier by default
    `QueryBuilder<T>` | `orderByAsc​(String... theNames)` | Deprecated. Specify ORDER BY clause with ASC modifier
    `QueryBuilder<T>` | `orderByDesc​(String... theNames)` | Deprecated. Specify ORDER BY clause with DESC modifier
    `T` | `query()` | Deprecated. Return the query constructed by this query builder
    `QueryBuilder<T>` | `reduced()` | Deprecated. Specify that this query should use the "reduced" keyword
    `void` | `reset()` | Deprecated. Reset the state of the query builder

    - ### Methods inherited from interface org.eclipse.rdf4j.queryrender.builder.SupportsGroups

      `addGroup, removeGroup`

- - ### Method Detail

    - #### query

          T query()

      Deprecated.
      Return the query constructed by this query builder
      Returns:
        the query

    - #### offset

          QueryBuilder<T> offset​(int theOffset)

      Deprecated.
      Specify an offset for the query
      Parameters:
        `theOffset` - the new offset
      Returns:
        this query builder

    - #### limit

          QueryBuilder<T> limit​(int theLimit)

      Deprecated.
      Specify a limit for the query
      Parameters:
        `theLimit` - the new limit for the query
      Returns:
        this query builder

    - #### optional

          GroupBuilder<T,​QueryBuilder<T>> optional()

      Deprecated.
      Create an option sub-group
      Returns:
        the new group

    - #### group

          GroupBuilder<T,​QueryBuilder<T>> group()

      Deprecated.
      Create a new sub-group of the query
      Returns:
        the new group

    - #### reset

          void reset()

      Deprecated.
      Reset the state of the query builder

    - #### distinct

          QueryBuilder<T> distinct()

      Deprecated.
      Specify that this query should use the "distinct" keyword
      Returns:
        this query builder

    - #### reduced

          QueryBuilder<T> reduced()

      Deprecated.
      Specify that this query should use the "reduced" keyword
      Returns:
        this query builder

    - #### addProjectionVar

          QueryBuilder<T> addProjectionVar​(String... theNames)

      Deprecated.
      Add projection variables to the query
      Parameters:
        `theNames` - the names of the variables to add to the projection
      Returns:
        this query builder

    - #### from

          QueryBuilder<T> from​(IRI theURI)

      Deprecated.
      Add a from clause to this query
      Parameters:
        `theURI` - the from URI
      Returns:
        this query builder

    - #### fromNamed

          QueryBuilder<T> fromNamed​(IRI theURI)

      Deprecated.
      Add a 'from named' clause to this query
      Parameters:
        `theURI` - the graph URI
      Returns:
        this query builder

    - #### orderBy

          QueryBuilder<T> orderBy​(String... theNames)

      Deprecated.
      Specify ORDER BY clause with ASC modifier by default
      Parameters:
        `theNames` - the names of the variables to apply the ordering
      Returns:
        this query builder

    - #### orderByAsc

          QueryBuilder<T> orderByAsc​(String... theNames)

      Deprecated.
      Specify ORDER BY clause with ASC modifier
      Parameters:
        `theNames` - the names of the variables to apply the ordering
      Returns:
        this query builder

    - #### orderByDesc

          QueryBuilder<T> orderByDesc​(String... theNames)

      Deprecated.
      Specify ORDER BY clause with DESC modifier
      Parameters:
        `theNames` - the names of the variables to apply the ordering
      Returns:
        this query builder

    - #### addProjectionStatement

          QueryBuilder<T> addProjectionStatement​(String theSubj,
                                                 String thePred,
                                                 String theObj)

      Deprecated.

    - #### addProjectionStatement

          QueryBuilder<T> addProjectionStatement​(String theSubj,
                                                 String thePred,
                                                 Value theObj)

      Deprecated.

    - #### addProjectionStatement

          QueryBuilder<T> addProjectionStatement​(String theSubj,
                                                 IRI thePred,
                                                 Value theObj)

      Deprecated.

    - #### addProjectionStatement

          QueryBuilder<T> addProjectionStatement​(IRI theSubj,
                                                 String thePred,
                                                 String theObj)

      Deprecated.

    - #### addProjectionStatement

          QueryBuilder<T> addProjectionStatement​(IRI theSubj,
                                                 IRI thePred,
                                                 String theObj)

      Deprecated.

    - #### addProjectionStatement

          QueryBuilder<T> addProjectionStatement​(String theSubj,
                                                 IRI thePred,
                                                 String theObj)

      Deprecated.